"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectNonImportNodes = void 0;
const typescript_1 = require("typescript");
function collectNonImportNodes(rootNode, lastImport) {
    const nonImportNodes = [];
    let importsEnded = false;
    const traverse = (node) => {
        importsEnded = importsEnded || node === lastImport;
        if (!importsEnded) {
            if (!typescript_1.isImportDeclaration(node)) {
                nonImportNodes.push(node);
            }
        }
    };
    rootNode.forEachChild(traverse);
    return nonImportNodes;
}
exports.collectNonImportNodes = collectNonImportNodes;
//# sourceMappingURL=collect-non-import-nodes.js.map