"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGroupOrder = void 0;
const defaultConfig_1 = require("../defaultConfig");
function getGroupOrder(config) {
    const groups = new Set((config === null || config === void 0 ? void 0 : config.groupOrder) || []);
    const uniqueGroups = Array.from(groups);
    return isValidGroupArgument(uniqueGroups) ? uniqueGroups : defaultConfig_1.defaultConfig.groupOrder;
}
exports.getGroupOrder = getGroupOrder;
function isValidGroupArgument(groups) {
    return groups.length === defaultConfig_1.defaultConfig.groupOrder.length && groups.every((group) => defaultConfig_1.defaultConfig.groupOrder.includes(group));
}
//# sourceMappingURL=get-group-order.js.map