"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThirdParty = void 0;
const fs_1 = __importDefault(require("fs"));
const pkg_up_1 = __importDefault(require("pkg-up"));
const parse_json_file_1 = require("../helpers/parse-json-file");
function getThirdParty() {
    const packagePath = pkg_up_1.default.sync();
    const lockPath = packagePath.replace('package.json', 'package-lock.json');
    let deps;
    if (fs_1.default.existsSync(lockPath)) {
        deps = Object.keys(parse_json_file_1.parseJsonFile(lockPath).dependencies);
    }
    else {
        const { dependencies, devDependencies } = parse_json_file_1.parseJsonFile(packagePath);
        deps = Object.keys(devDependencies).concat(dependencies);
    }
    return new Set(deps);
}
exports.getThirdParty = getThirdParty;
//# sourceMappingURL=get-third-party.js.map