"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setConfig = exports.getConfig = exports.resolveConfig = void 0;
const fast_glob_1 = require("fast-glob");
const get_group_order_1 = require("./conductor/get-group-order");
const get_third_party_1 = require("./conductor/get-third-party");
const defaultConfig_1 = require("./defaultConfig");
let config;
function resolveConfig(cliConfig) {
    const { noAutoAdd } = cliConfig, rest = __rest(cliConfig, ["noAutoAdd"]);
    const normalized = Object.assign(Object.assign({}, rest), { autoAdd: !noAutoAdd });
    const merged = Object.assign(Object.assign(Object.assign({}, defaultConfig_1.defaultConfig), normalized), { thirdPartyDependencies: get_third_party_1.getThirdParty(), groupOrder: get_group_order_1.getGroupOrder(normalized) });
    if (merged.ignore.length > 0) {
        merged.ignore = merged.ignore.map((pattern) => (pattern.includes('*') ? fast_glob_1.sync(pattern) : pattern)).flat();
    }
    return merged;
}
exports.resolveConfig = resolveConfig;
function getConfig() {
    return config;
}
exports.getConfig = getConfig;
function setConfig(cliConfig) {
    config = cliConfig;
}
exports.setConfig = setConfig;
//# sourceMappingURL=config.js.map