#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.organizeImports = exports.conduct = void 0;
// import-conductor-skip
require("./pollyfils");
const command_line_args_1 = __importDefault(require("command-line-args"));
const command_line_usage_1 = __importDefault(require("command-line-usage"));
const version_1 = require("./version");
const chalk_1 = __importDefault(require("chalk"));
const organize_imports_1 = require("./conductor/organize-imports");
Object.defineProperty(exports, "organizeImports", { enumerable: true, get: function () { return organize_imports_1.organizeImports; } });
const cliOptions_1 = require("./cliOptions");
const conduct_1 = require("./conductor/conduct");
Object.defineProperty(exports, "conduct", { enumerable: true, get: function () { return conduct_1.conduct; } });
const cliConfig = command_line_args_1.default(cliOptions_1.optionDefinitions, {
    camelCase: true,
    stopAtFirstUnknown: true,
});
const { help, version } = cliConfig;
if (version) {
    console.log(version_1.packageVersion);
    process.exit();
}
if (help) {
    const usage = command_line_usage_1.default(cliOptions_1.sections);
    console.log(usage);
    process.exit();
}
conduct_1.conduct(cliConfig).then((summary) => {
    if (summary.length) {
        const message = `${chalk_1.default.underline('🏁 Summary:')}\n${summary.join('\n')}\n`;
        console.log(message);
    }
});
//# sourceMappingURL=index.js.map